Name: gambit
Version: 4.2.9
Release: alt1

Summary: Gambit-C Scheme programming system
License: Apache-2.0
Group: Development/Other
URL: http://www.iro.umontreal.ca/~gambit/

Packager: Alexey Voinov <voins@altlinux.ru>

Source: %name-%version.tar
Source1: gambc.README.ALT
Source2: gambit.alternatives

Patch: %name-%version-alt-so.patch

# Automatically added by buildreq on Wed Oct 08 2008
BuildRequires: emacs-leim emacs-nox libX11-locales libncurses-devel

BuildPreReq: alternatives

%description 
Gambit-C includes a Scheme interpreter and a Scheme compiler which can be used
to build standalone executables. Because the compiler generates portable C
code it is fairly easy to port to any platform with a decent C compiler.

The Gambit-C system conforms to the R4RS and IEEE Scheme standards.  The full
numeric tower is implemented, including: infinite precision integers (bignums),
rationals, inexact reals (floating point numbers), and complex numbers.

%package -n emacs-gambit
Summary: Emacs mode for Gambit-C
Group: Editors
Requires: gambit emacs-common

%description -n emacs-gambit
Emacs mode for running Gambit-C




%prep
%setup -q
%patch -p1
touch -r gsi/_gsi.scm gsi/main.scm

cp %SOURCE1 ./README.ALT

%build
./configure                       \
	--prefix=%_libdir/%name   \
	--enable-single-host --enable-shared
%make_build
emacs -q -no-site-file -batch -eval "(byte-compile-file \"misc/gambit.el\")"

%install
make install \
     prefix=$RPM_BUILD_ROOT%_libdir/%name \
     bindir=$RPM_BUILD_ROOT%_bindir \
     includedir=$RPM_BUILD_ROOT%_includedir \
     emacsdir=$RPM_BUILD_ROOT%_datadir/emacs/site-lisp \
     infodir=$RPM_BUILD_ROOT%_infodir

mv $RPM_BUILD_ROOT%_bindir/gsc $RPM_BUILD_ROOT%_bindir/gambsc
rm -rf $RPM_BUILD_ROOT%_bindir/gsc-script
ln -s gambsc $RPM_BUILD_ROOT%_bindir/gsc-script
rm -rf $RPM_BUILD_ROOT%_libdir/%name/current/doc
mkdir $RPM_BUILD_ROOT%_libdir/%name/current/bin
ln -s ../../../../bin/gsc-cc-o.bat $RPM_BUILD_ROOT%_libdir/%name/current/bin/
mv $RPM_BUILD_ROOT%_libdir/%name/current/lib/lib*.so $RPM_BUILD_ROOT%_libdir

for f in $RPM_BUILD_ROOT%_bindir/scheme-*; do
    mv $f $f-%name
done
rm examples/*/makefile*
install -m644 misc/*.el* %buildroot%_emacslispdir/

install -d $RPM_BUILD_ROOT%_altdir
install -m644 %SOURCE2 $RPM_BUILD_ROOT%_altdir/%name

%post
%install_info gambit-c.info
%register_alternatives %name
%post_ldconfig

%postun -p %postun_ldconfig

%preun
%uninstall_info gambit-c.info
%unregister_alternatives %name

%files
%doc doc/gambit-c.pdf doc/gambit-c.txt doc/gambit-c.html
%doc examples/* README.ALT
%_altdir/*
%_bindir/*
%_infodir/*.info*
%_includedir/*
%_libdir/*

%files -n emacs-gambit
%_emacslispdir/*


%changelog
* Tue Oct 07 2008 Alexey Voinov <voins@altlinux.ru> 4.2.9-alt1
- new release (4.2.9)
- buildreqs updated

* Wed May 07 2008 Alexey Voinov <voins@altlinux.ru> 4.2.6-alt1
- new release (4.2.6)
- post_ldconfig/postun_ldconfig

* Tue Mar 25 2008 Alexey Voinov <voins@altlinux.ru> 4.2.5-alt1
- new release (4.2.5)

* Mon Mar 17 2008 Alexey Voinov <voins@altlinux.ru> 4.2.4-alt2
- fix for -prelude and -postlude options from upstream
  mercury repository

* Sun Mar 16 2008 Alexey Voinov <voins@altlinux.ru> 4.2.4-alt1
- new release (4.2.4)

* Mon Mar 03 2008 Alexey Voinov <voins@altlinux.ru> 4.2.3-alt1
- new release (4.2.3)
- symlinks fixed

* Tue Feb 12 2008 Alexey Voinov <voins@altlinux.ru> 4.2.2-alt1
- new release (4.2.2)

* Fri Feb 08 2008 Alexey Voinov <voins@altlinux.ru> 4.2.1-alt1
- new release (4.2.1)

* Fri Feb 08 2008 Alexey Voinov <voins@altlinux.ru> 4.2.0-alt1
- new release (4.2.0)

* Sat Dec 22 2007 Alexey Voinov <voins@altlinux.ru> 4.1.2-alt1
- new release (4.1.2)
- alt-so patch updated

* Sun Dec 16 2007 Alexey Voinov <voins@altlinux.ru> 4.1.1-alt1
- new release (4.1.1)
- alt-so patch

* Sat Nov 17 2007 Alexey Voinov <voins@altlinux.ru> 4.1.0-alt1
- new release (4.1.0)

* Thu Sep 13 2007 Alexey Voinov <voins@altlinux.ru> 4.0.1-alt1
- new release (4.0.1)

* Thu Sep 13 2007 Alexey Voinov <voins@altlinux.ru> 4.0.0-alt1
- new release (4.0.0)

* Wed May 30 2007 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.22.1
- new release (4.0b22)

* Sat Oct 14 2006 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.20.2
- files layout changes, compiler should work now

* Sun Oct 08 2006 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.20.1
- new release (4.0b20)

* Tue Jan 10 2006 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.17.2
- actual b17 tarball... 

* Mon Jan 09 2006 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.17.1
- new release (4.0b17)

* Sat Jan 07 2006 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.16.1
- new release (4.0b16)
- emacs subpackage added
- buildreqs fixed

* Sun Oct 02 2005 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.15.1
- new release (4.0b15)

* Sat Jul 16 2005 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.14.1
- new release (4.0b14)

* Thu Jun 02 2005 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.13.2
- license info fixed

* Thu May 12 2005 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.13.1
- new release (4.0b13)
- files rearranged

* Mon Jan 17 2005 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.12.1
- alternatives for scheme-* scripts added (to prevent conflicts with scheme48)

* Tue Jan 11 2005 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.12
- new release (4.0b12)

* Sun Nov 2 2004 Alexey Voinov <voins@altlinux.ru> 4.0-alt0.11
- initial build
